## seergdb 2.3+git20240117+ds

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(seergdb VERSION 2.4.0 LANGUAGES CXX)

set(PROJECT_NAME seergdb)

if(NOT DEFINED QTVERSION)
    set(QTVERSION "QT6" CACHE STRING "" FORCE)
endif()

if(${QTVERSION} STREQUAL "QT6")
    message("-- Compile with QT6")
elseif(${QTVERSION} STREQUAL "QT5")
    message("-- Compile with QT5")
else()
    message(FATAL_ERROR "-- Use -DQTVERSION=QT5|QT6 not \"${QTVERSION}\"")
endif()

# Find includes in the build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_PREFIX_PATH ${QTDIR})
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

if(${QTVERSION} STREQUAL "QT6")
    find_package(Qt6 COMPONENTS REQUIRED Core)
    find_package(Qt6 COMPONENTS REQUIRED Gui)
    find_package(Qt6 COMPONENTS REQUIRED Widgets)
    find_package(Qt6 COMPONENTS REQUIRED PrintSupport)
    find_package(Qt6 COMPONENTS REQUIRED Charts)
    find_package(Qt6 COMPONENTS REQUIRED Svg)

    set(CMAKE_CXX_STANDARD 17)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_EXTENSIONS OFF)

elseif(${QTVERSION} STREQUAL "QT5")
    find_package(Qt5 COMPONENTS REQUIRED Core)
    find_package(Qt5 COMPONENTS REQUIRED Gui)
    find_package(Qt5 COMPONENTS REQUIRED Widgets)
    find_package(Qt5 COMPONENTS REQUIRED PrintSupport)
    find_package(Qt5 COMPONENTS REQUIRED Charts)

    set(CMAKE_CXX_STANDARD 11)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_EXTENSIONS OFF)
endif()

set(HEADER_FILES
    GdbMonitor.h
    SeerArgumentsDialog.h
    SeerBreakpointCreateDialog.h
    SeerMessagesBrowserWidget.h
    SeerBreakpointsBrowserWidget.h
    SeerCatchpointCreateDialog.h
    SeerCatchpointsBrowserWidget.h
    SeerPrintpointCreateDialog.h
    SeerPrintpointsBrowserWidget.h
    SeerSeerLogWidget.h
    SeerConsoleWidget.h
    SeerConfigDialog.h
    SeerGdbConfigPage.h
    SeerRRConfigPage.h
    SeerEditorConfigPage.h
    SeerSourceConfigPage.h
    SeerAssemblyConfigPage.h
    SeerSeerConfigPage.h
    SeerKeysConfigPage.h
    SeerCloseSourceDialog.h
    SeerDebugDialog.h
    SeerDirectoryFilterProxyModel.h
    SeerEditorManagerEntry.h
    SeerEditorManagerWidget.h
    SeerEditorWidgetSource.h
    SeerEditorWidgetAssembly.h
    SeerExecutableFilterProxyModel.h
    SeerGdbWidget.h
    SeerHexWidget.h
    SeerAsmWidget.h
    SeerArrayWidget.h
    SeerLogWidget.h
    SeerMainWindow.h
    SeerArrayVisualizerWidget.h
    SeerMemoryVisualizerWidget.h
    SeerStructVisualizerWidget.h
    SeerVarVisualizerWidget.h
    SeerImageVisualizerWidget.h
    SeerRegisterValuesBrowserWidget.h
    SeerRegisterEditValueDialog.h
    SeerRegisterProfileDialog.h
    SeerRegisterTreeWidgetItem.h
    SeerRunStatusIndicator.h
    SeerLibraryBrowserWidget.h
    SeerSourceBrowserWidget.h
    SeerFunctionBrowserWidget.h
    SeerTypeBrowserWidget.h
    SeerStaticBrowserWidget.h
    SeerSourceSymbolLibraryManagerWidget.h
    SeerStackArgumentsBrowserWidget.h
    SeerStackFramesBrowserWidget.h
    SeerStackLocalsBrowserWidget.h
    SeerStackManagerWidget.h
    SeerThreadFramesBrowserWidget.h
    SeerThreadIdsBrowserWidget.h
    SeerThreadGroupsBrowserWidget.h
    SeerAdaTasksBrowserWidget.h
    SeerAdaExceptionsBrowserWidget.h
    SeerThreadManagerWidget.h
    SeerGdbLogWidget.h
    SeerTildeLogWidget.h
    SeerUtl.h
    SeerVariableLoggerBrowserWidget.h
    SeerVariableManagerWidget.h
    SeerVariableTrackerBrowserWidget.h
    SeerWatchpointCreateDialog.h
    SeerWatchpointsBrowserWidget.h
    SeerCppSourceHighlighter.h
    SeerAboutDialog.h
    SeerSlashProcDialog.h
    SeerHighlighterSettings.h
    SeerKeySettings.h
    SeerPlainTextEdit.h
    SeerHelpPageDialog.h
    SeerProgressIndicator.h
    SeerMessagesDialog.h
    SeerAssemblyPreferenceDialog.h
    QProcessInfo.h
    QProcessInfoWidget.h
    QProgressIndicator.h
    QColorButton.h
    QDetachTabWidget.h
    QZoomChartView.h
    QZoomChart.h
    QClearLineEdit.h
    QIndexTreeWidget.h
    QStringPair.h
    QHistoryLineEdit.h
    QEditDelegate.h
    QHContainerWidget.h
    QImageViewer.h
    )

set(SOURCE_FILES
    seergdb.cpp
    GdbMonitor.cpp
    SeerArgumentsDialog.cpp
    SeerBreakpointCreateDialog.cpp
    SeerMessagesBrowserWidget.cpp
    SeerBreakpointsBrowserWidget.cpp
    SeerCatchpointCreateDialog.cpp
    SeerCatchpointsBrowserWidget.cpp
    SeerPrintpointCreateDialog.cpp
    SeerPrintpointsBrowserWidget.cpp
    SeerSeerLogWidget.cpp
    SeerConsoleWidget.cpp
    SeerConfigDialog.cpp
    SeerGdbConfigPage.cpp
    SeerRRConfigPage.cpp
    SeerEditorConfigPage.cpp
    SeerSourceConfigPage.cpp
    SeerAssemblyConfigPage.cpp
    SeerSeerConfigPage.cpp
    SeerKeysConfigPage.cpp
    SeerCloseSourceDialog.cpp
    SeerDebugDialog.cpp
    SeerEditorManagerWidget.cpp
    SeerEditorWidgetSource.cpp
    SeerEditorWidgetSourceAreas.cpp
    SeerEditorWidgetAssembly.cpp
    SeerEditorWidgetAssemblyAreas.cpp
    SeerGdbWidget.cpp
    SeerHexWidget.cpp
    SeerAsmWidget.cpp
    SeerArrayWidget.cpp
    SeerLogWidget.cpp
    SeerMainWindow.cpp
    SeerArrayVisualizerWidget.cpp
    SeerMemoryVisualizerWidget.cpp
    SeerStructVisualizerWidget.cpp
    SeerVarVisualizerWidget.cpp
    SeerImageVisualizerWidget.cpp
    SeerRegisterValuesBrowserWidget.cpp
    SeerRegisterEditValueDialog.cpp
    SeerRegisterProfileDialog.cpp
    SeerRegisterTreeWidgetItem.cpp
    SeerRunStatusIndicator.cpp
    SeerLibraryBrowserWidget.cpp
    SeerSourceBrowserWidget.cpp
    SeerFunctionBrowserWidget.cpp
    SeerTypeBrowserWidget.cpp
    SeerStaticBrowserWidget.cpp
    SeerSourceSymbolLibraryManagerWidget.cpp
    SeerStackArgumentsBrowserWidget.cpp
    SeerStackFramesBrowserWidget.cpp
    SeerStackLocalsBrowserWidget.cpp
    SeerStackManagerWidget.cpp
    SeerThreadFramesBrowserWidget.cpp
    SeerThreadIdsBrowserWidget.cpp
    SeerThreadGroupsBrowserWidget.cpp
    SeerAdaTasksBrowserWidget.cpp
    SeerAdaExceptionsBrowserWidget.cpp
    SeerThreadManagerWidget.cpp
    SeerGdbLogWidget.cpp
    SeerTildeLogWidget.cpp
    SeerUtl.cpp
    SeerVariableLoggerBrowserWidget.cpp
    SeerVariableManagerWidget.cpp
    SeerVariableTrackerBrowserWidget.cpp
    SeerWatchpointCreateDialog.cpp
    SeerWatchpointsBrowserWidget.cpp
    SeerCppSourceHighlighter.cpp
    SeerAboutDialog.cpp
    SeerSlashProcDialog.cpp
    SeerHighlighterSettings.cpp
    SeerKeySettings.cpp
    SeerPlainTextEdit.cpp
    SeerHelpPageDialog.cpp
    SeerProgressIndicator.cpp
    SeerMessagesDialog.cpp
    SeerAssemblyPreferenceDialog.cpp
    QProcessInfo.cpp
    QProcessInfoWidget.cpp
    QProgressIndicator.cpp
    QColorButton.cpp
    QDetachTabWidget.cpp
    QZoomChartView.cpp
    QZoomChart.cpp
    QClearLineEdit.cpp
    QIndexTreeWidget.cpp
    QHistoryLineEdit.cpp
    QEditDelegate.cpp
    QHContainerWidget.cpp
    QImageViewer.cpp
    )

if(${QTVERSION} STREQUAL "QT6")
    qt6_add_resources(SOURCE_FILES resource.qrc)
elseif(${QTVERSION} STREQUAL "QT5")
    qt5_add_resources(SOURCE_FILES resource.qrc)
endif()

# Set non-Debug build as GUI application.
# Debug build remains consle application.
if(NOT CMAKE_BUILD_TYPE MATCHES Debug) #Release, RelWithDebInfo and MinSizeRel
    if(WIN32) # Check if we are on Windows
        set(SYSTEM_TYPE WIN32)
    endif()
    message("-- System type is " ${SYSTEM_TYPE})
endif()

# for Linux, BSD, Solaris, Minix
if(UNIX AND NOT APPLE)
    add_compile_options(-Wall -Wextra -Wunused-result -pedantic)   # -Werror -Wdeprecated-copy
endif()

add_definitions(-DQT_DEPRECATED_WARNINGS)

add_executable(${PROJECT_NAME} ${SYSTEM_TYPE} ${SOURCE_FILES})

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)

if(${QTVERSION} STREQUAL "QT6")
    target_link_libraries(${PROJECT_NAME} Qt6::Widgets Qt6::Gui Qt6::Core Qt6::PrintSupport Qt6::Charts Qt6::Svg)
elseif(${QTVERSION} STREQUAL "QT5")
    target_link_libraries(${PROJECT_NAME} Qt5::Widgets Qt5::Gui Qt5::Core Qt5::PrintSupport Qt5::Charts)
endif()

=== tests/helloada/Makefile ===
.PHONY: all
all: helloada

helloada: helloada.adb
	gnatmake --GCC=/usr/bin/gcc-7 -g -O0 helloada.adb

.PHONY: clean
clean:
	rm -f helloada helloada.o helloada.ali b~* increment_by.ali increment_by.o

=== tests/hellodlopen/Makefile ===
.PHONY: all
all: hellodlopen function1.so

function1.so: function1.cpp function1.o
	g++ -c -g -fpic -o function1.o function1.cpp
	g++ -shared -o function1.so function1.o

hellodlopen: hellodlopen.cpp
	g++ -g -o hellodlopen hellodlopen.cpp -ldl

.PHONY: clean
clean:
	rm -f hellodlopen hellodlopen.o function1.o function1.so

=== tests/hellofork/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: hellofork

hellofork: hellofork.c
	g++ -g -o hellofork hellofork.c

.PHONY: clean
clean:
	rm -f hellofork hellofork.o

=== tests/hellogopyramid/Makefile ===
.PHONY: all
all: hellogopyramid

hellogopyramid: hellogopyramid.go
	go build -gcflags=all="-N -l" hellogopyramid.go

.PHONY: clean
clean:
	rm -f hellogopyramid

=== tests/helloimage/Makefile ===
.PHONY: all
all: helloimage

helloimage: helloimage.cpp
	g++ -std=c++17 -g -I/usr/include/qt5 -o helloimage helloimage.cpp -L/usr/lib64 -lQt5Core -lQt5Gui

.PHONY: clean
clean:
	rm -f helloimage helloimage.o

=== tests/hellothreads/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: hellothreads

# This rule tells make how to build hellothreads from hellothreads.cpp
hellothreads: hellothreads.cpp
	g++ -g -pthread -o hellothreads hellothreads.cpp

# This rule tells make to copy hellothreads to the binaries subdirectory,
# creating it if necessary
.PHONY: install
install:
	mkdir -p binaries
	cp -p hellothreads binaries

# This rule tells make to delete hellothreads and hellothreads.o
.PHONY: clean
clean:
	rm -f hellothreads hellothreads.o

=== tests/helloworld/Makefile ===
# This is the default target, which will be built when you invoke make
.PHONY: all
all: helloworld

# This rule tells make how to build the test program
helloworld: helloworld.cpp
	g++ -g -o helloworld helloworld.cpp function1.cpp

# This rule tells make to clean things
.PHONY: clean
clean:
	rm -f helloworld helloworld.o function1.o

=== tests/hellosimavr/sim/Makefile ===
CPPFLAGS += -I..
CFLAGS += -DTIMER_BOOTWAIT=1000 -DTIMER_SHUTDOWN=1000 -DTIMER_POWEROFF=1000
OFLAG ?= -Og
DEBUG ?= -g

VPATH = ..

# Ensure malloc is available when debugging
OBJS += force_malloc.o

ifeq ($(TRACE), 1)
OBJS += simavr.o
endif

%.svg: %.dot
	dot -T svg -o $@ $<

include ../Makefile

.PHONY: simavr
simavr:
	simavr -m attiny85 -f 1000000 pipower.elf -t -g

=== debian/changelog ===
seergdb (2.3+git20240117+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:58:49 +1100

seergdb (2.3+git20240117+ds-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:03:27 +0000

seergdb (2.3+git20240117+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1017914)

 -- Gürkan Myczko <tar@debian.org>  Wed, 17 Jan 2024 15:44:55 +0100

=== debian/control ===
Source: seergdb
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt6-base-dev,
 libqt6charts6-dev,
 libqt6opengl6-dev,
 libqt6svg6-dev
Standards-Version: 4.6.2
Homepage: https://github.com/epasveer/seer
Vcs-Browser: https://salsa.debian.org/debian/seergdb
Vcs-Git: https://salsa.debian.org/debian/seergdb.git

Package: seergdb
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gdb
Description: gui frontend to gdb
 This is a GUI for gdb.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedirectory=src

## seergdb 2.4+git20240321+ds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1.0)
 
-project(seergdb VERSION 2.4.0 LANGUAGES CXX)
+project(seergdb VERSION 2.4 LANGUAGES CXX)
 
 set(PROJECT_NAME seergdb)
 
@@ -237,9 +237,9 @@
     )
 
 if(${QTVERSION} STREQUAL "QT6")
-    qt6_add_resources(SOURCE_FILES resource.qrc)
-elseif(${QTVERSION} STREQUAL "QT5")
-    qt5_add_resources(SOURCE_FILES resource.qrc)
+    qt6_add_resources(SOURCE_FILES resource.qrc resources/qdarkstyle/dark/darkstyle.qrc resources/qdarkstyle/light/lightstyle.qrc)
+elseif(${QTVERSION} STREQUAL "QT5")
+    qt5_add_resources(SOURCE_FILES resource.qrc resources/qdarkstyle/dark/darkstyle.qrc resources/qdarkstyle/light/lightstyle.qrc)
 endif()
 
 # Set non-Debug build as GUI application.

=== debian/changelog ===
seergdb (2.4+git20240321+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 21 Mar 2024 09:29:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: seergdb
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## seergdb 2.5+git20250220+ds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1.0)
 
-project(seergdb VERSION 2.4 LANGUAGES CXX)
+project(seergdb VERSION 2.6.0 LANGUAGES CXX)
 
 set(PROJECT_NAME seergdb)
 
@@ -102,6 +102,8 @@
     SeerStackArgumentsBrowserWidget.h
     SeerStackFramesBrowserWidget.h
     SeerStackLocalsBrowserWidget.h
+    SeerStackDumpBrowserWidget.h
+    SeerStackDumpSettingsDialog.h
     SeerStackManagerWidget.h
     SeerThreadFramesBrowserWidget.h
     SeerThreadIdsBrowserWidget.h
@@ -127,10 +129,12 @@
     SeerProgressIndicator.h
     SeerMessagesDialog.h
     SeerAssemblyPreferenceDialog.h
+    SeerHistoryLineEdit.h
     QProcessInfo.h
     QProcessInfoWidget.h
     QProgressIndicator.h
     QColorButton.h
+    QColorSwatch.h
     QDetachTabWidget.h
     QZoomChartView.h
     QZoomChart.h
@@ -141,6 +145,7 @@
     QEditDelegate.h
     QHContainerWidget.h
     QImageViewer.h
+    QAnsiTextEdit.h
     )
 
 set(SOURCE_FILES
@@ -196,6 +201,8 @@
     SeerStackArgumentsBrowserWidget.cpp
     SeerStackFramesBrowserWidget.cpp
     SeerStackLocalsBrowserWidget.cpp
+    SeerStackDumpBrowserWidget.cpp
+    SeerStackDumpSettingsDialog.cpp
     SeerStackManagerWidget.cpp
     SeerThreadFramesBrowserWidget.cpp
     SeerThreadIdsBrowserWidget.cpp
@@ -221,10 +228,12 @@
     SeerProgressIndicator.cpp
     SeerMessagesDialog.cpp
     SeerAssemblyPreferenceDialog.cpp
+    SeerHistoryLineEdit.cpp
     QProcessInfo.cpp
     QProcessInfoWidget.cpp
     QProgressIndicator.cpp
     QColorButton.cpp
+    QColorSwatch.cpp
     QDetachTabWidget.cpp
     QZoomChartView.cpp
     QZoomChart.cpp
@@ -234,6 +243,7 @@
     QEditDelegate.cpp
     QHContainerWidget.cpp
     QImageViewer.cpp
+    QAnsiTextEdit.cpp
     )
 
 if(${QTVERSION} STREQUAL "QT6")

=== tests/helloansicodes/Makefile ===
.PHONY: all
all: helloansicodes

helloansicodes: helloansicodes.c ANSI-color-codes.h
	g++ -g -o helloansicodes helloansicodes.c

.PHONY: clean
clean:
	rm -f helloansicodes helloansicodes.o

=== tests/helloansicodes2/Makefile ===
.PHONY: all
all: helloansicodes2

helloansicodes2: helloansicodes2.c printfcolor.h
	g++ -g -o helloansicodes2 helloansicodes2.c

.PHONY: clean
clean:
	rm -f helloansicodes2 helloansicodes2.o

=== tests/helloarray/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: helloarray

# This rule tells make how to build helloarray from helloarray.cpp
helloarray: helloarray.cpp
	g++ -g -o helloarray helloarray.cpp

# This rule tells make to copy helloarray to the binaries subdirectory,
# creating it if necessary
.PHONY: install
install:
	mkdir -p binaries
	cp -p helloarray binaries

# This rule tells make to delete helloarray and helloarray.o
.PHONY: clean
clean:
	rm -f helloarray helloarray.o

=== tests/helloexecl/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: hellocaller hellocallee

hellocaller: hellocaller.c
	g++ -g -o hellocaller hellocaller.c

hellocallee: hellocallee.c
	g++ -g -o hellocallee hellocallee.c

.PHONY: clean
clean:
	rm -f hellocaller hellocaller.o
	rm -f hellocallee hellocallee.o

=== tests/hellofibonacci/Makefile ===
.PHONY: all
all: hellofibonacci

hellofibonacci: hellofibonacci.cpp
	g++ -g -o hellofibonacci hellofibonacci.cpp

.PHONY: clean
clean:
	rm -f hellofibonacci hellofibonacci.o

=== tests/helloforksegv/Makefile ===
.PHONY: all
all: helloforksegv

helloforksegv: helloforksegv.cpp
	g++ -g -o helloforksegv helloforksegv.cpp

.PHONY: clean
clean:
	rm -f helloforksegv helloforksegv.o

=== tests/hellompi/Makefile ===
EXECS=hellompi
#MPICC=/usr/lib64/mpi/gcc/openmpi4/bin/mpicc
MPI=/usr/lib64/mpi/gcc/mpich

all: ${EXECS}

hellompi: hellompi.cpp
	g++ -g -I${MPI}/include -L${MPI}/lib64 -lmpi -o hellompi hellompi.cpp

clean:
	rm ${EXECS}

=== tests/hellopp/Makefile ===
.PHONY: all
all: hellopp

hellopp: hellopp.cpp
	g++ -g -o hellopp hellopp.cpp

.PHONY: clean
clean:
	rm -f hellopp hellopp.o

=== tests/hellopythonmi/Makefile ===
.PHONY: all
all: hellopythonmi

hellopythonmi: hellopythonmi.cpp
	g++ -g -o hellopythonmi hellopythonmi.cpp

.PHONY: clean
clean:
	rm -f hellopythonmi hellopythonmi.o

=== tests/hellorrmnwe/Makefile ===
.PHONY: all
all: mnwe

mnwe: mnwe.cpp
	g++ -g -O0 -o mnwe mnwe.cpp

.PHONY: clean
clean:
	rm -f mnwe mnwe.o

=== tests/hellostar/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: hellostar

# This rule tells make how to build hellostar from hellostar.cpp
hellostar: hellostar.cpp
	g++ -g -o hellostar hellostar.cpp

# This rule tells make to copy hellostar to the binaries subdirectory,
# creating it if necessary
.PHONY: install
install:
	mkdir -p binaries
	cp -p hellostar binaries

# This rule tells make to delete hellostar and hellostar.o
.PHONY: clean
clean:
	rm -f hellostar hellostar.o

=== debian/changelog ===
seergdb (2.5+git20250220+ds-2) unstable; urgency=medium

  * d/rules: ignore minimal cmake version. (Closes: #1113494)

 -- Alex Myczko <tar@debian.org>  Mon, 29 Sep 2025 08:57:24 +0200

seergdb (2.5+git20250220+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 20 Feb 2025 11:27:14 +0000

seergdb (2.4+git20240321+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 06:08:57 +0000

## seergdb 2.6%2Bgit20251009%2Bds

=== tests/hello spaces/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: helloworld

# This rule tells make how to build helloworld from helloworld.cpp
helloworld: helloworld.cpp
	g++ -g -o helloworld helloworld.cpp function1.cpp

# This rule tells make to copy helloworld to the binaries subdirectory,
# creating it if necessary
.PHONY: install
install:
	mkdir -p binaries
	cp -p helloworld binaries

# This rule tells make to delete helloworld and helloworld.o
.PHONY: clean
clean:
	rm -f helloworld helloworld.o function1.o

=== tests/helloadaexceptions/Makefile ===
.PHONY: all
all: helloadaexceptions

helloadaexceptions: helloadaexceptions.adb
	/usr/bin/gnatmake-9 -g --GNATBIND=/usr/bin/gnatbind-9 --GNATLINK=/usr/bin/gnatlink-9 helloadaexceptions

.PHONY: clean
clean:
	rm -f helloadaexceptions helloadaexceptions.o helloadaexceptions.ali b~*

=== tests/hellocore/Makefile ===
.PHONY: all
all: hellocore

hellocore: hellocore.cpp
	g++ -g -o hellocore hellocore.cpp function1.cpp

.PHONY: clean
clean:
	rm -f hellocore hellocore.o function1.o

=== tests/hellocurses/Makefile ===
.PHONY: all
all: helloworld triangle

helloworld: helloworld.cpp
	g++ -g -o helloworld helloworld.cpp -lncurses

triangle: triangle.cpp
	g++ -g -o triangle triangle.cpp -lncurses

.PHONY: clean
clean:
	rm -f helloworld triangle

=== tests/helloglut/Makefile ===
all: 3dmaze

3dmaze: 3dmaze.c
	gcc -g -o 3dmaze 3dmaze.c -lglut -lGL -lGLU -lm

.PHONY: clean
clean:
	rm -f 3dmaze.o 3dmaze

=== tests/hellolocals/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: hellolocals

# This rule tells make how to build hellolocals from hellolocals.cpp
hellolocals: hellolocals.cpp
	g++ -g -o hellolocals hellolocals.cpp

# This rule tells make to delete hellolocals and hellolocals.o
.PHONY: clean
clean:
	rm -f hellolocals hellolocals.o

=== tests/helloonefile/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: helloonefile

# This rule tells make how to build helloonefile from helloonefile.cpp
helloonefile: helloonefile.cpp
	g++ -g -o helloonefile helloonefile.cpp

# This rule tells make to copy helloonefile to the binaries subdirectory,
# creating it if necessary
.PHONY: install
install:
	mkdir -p binaries
	cp -p helloonefile binaries

# This rule tells make to delete helloonefile and helloonefile.o
.PHONY: clean
clean:
	rm -f helloonefile helloonefile.o

=== tests/helloqstring/Makefile ===
.PHONY: all
all: helloqstring

helloqstring: helloqstring.cpp
	g++ -std=c++17 -g -I/usr/include/qt6 -o helloqstring helloqstring.cpp -L/usr/lib64 -lQt6Core

.PHONY: clean
clean:
	rm -f helloqstring helloqstring.o

=== tests/hellosegv/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: hellosegv

# This rule tells make how to build hellosegv from hellosegv.cpp
hellosegv: hellosegv.cpp
	g++ -g -o hellosegv hellosegv.cpp function1.cpp

# This rule tells make to copy hellosegv to the binaries subdirectory,
# creating it if necessary
.PHONY: install
install:
	mkdir -p binaries
	cp -p hellosegv binaries

# This rule tells make to delete hellosegv and hellosegv.o
.PHONY: clean
clean:
	rm -f hellosegv hellosegv.o function1.o

=== tests/hellosimavr/Makefile ===
PROGNAME    = pipower

AVR_BAUD    ?= 19200
AVR_PORT    ?= /dev/ttyACM0
FUSE_EXT    ?= 0xff
FUSE_HIGH   ?= 0xdf
FUSE_LOW    ?= 0x62
PROGRAMMER  ?= -c arduino 

DEVICE      = attiny85
CLOCK       = 1000000
FUSES       = -U lfuse:w:$(FUSE_LOW):m -U hfuse:w:$(FUSE_HIGH):m -U efuse:w:$(FUSE_EXT):m 
PORT	    = -P $(AVR_PORT) -b $(AVR_BAUD)
AVRDUDE     = avrdude -v $(PORT) $(PROGRAMMER) -p $(DEVICE) $(AVR_EXTRA_ARGS)

CC	= avr-gcc
CFLAGS	+= -std=c99 -Wall $(DEBUG) $(OFLAG) -DF_CPU=$(CLOCK) -mmcu=$(DEVICE) --short-enums

OBJS += \
	pipower.o \
	button.o \
	input.o \
	millis.o

DEPS = $(OBJS:.o=.dep)

all:	$(PROGNAME).hex

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@

%.dep: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -MM $< -o $@

%.pre: %.c
	$(CPP) $(CPPFLAGS) $(CFLAGS) -E $< -o $@

%.o: %.S
	$(CC) $(CPPFLAGS) $(CFLAGS) -x assembler-with-cpp -c $< -o $@

%.s: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -S $< -o $@

.PHONY: all deps flash fuse make load clean

dep: $(DEPS)

flash:	all
	$(AVRDUDE) -U flash:w:$(PROGNAME).hex:i

fuse:
	$(AVRDUDE) $(FUSES)

make: flash fuse

clean:
	rm -f $(PROGNAME).hex $(PROGNAME).elf $(OBJS) $(DEPS)

$(PROGNAME).elf: $(OBJS)
	$(CC) $(CFLAGS) -o $(PROGNAME).elf $(OBJS)

$(PROGNAME).hex: $(PROGNAME).elf
	rm -f $(PROGNAME).hex
	avr-objcopy -j .text -j .data -O ihex $(PROGNAME).elf $(PROGNAME).hex

include $(DEPS)

=== tests/hellostatic/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: hellostatic

# This rule tells make how to build hellostatic from hellostatic.cpp
hellostatic: hellostatic.cpp
	g++ -g -o hellostatic hellostatic.cpp

# This rule tells make to delete hellostatic and hellostatic.o
.PHONY: clean
clean:
	rm -f hellostatic hellostatic.o

=== tests/hellounicode/Makefile ===
.PHONY: all
all: hellounicode

hellounicode: hellounicode.cpp
	g++ -g -o hellounicode hellounicode.cpp

.PHONY: clean
clean:
	rm -f hellounicode hellounicode.o

## seergdb 2.6%2bgit20251009%2bds

=== tests/hellocobol/Makefile ===
.PHONY: all
all: hellocobol hellocobol_variables hellocobol_if

hellocobol: hellocobol.cob
	cobc -x -g -o hellocobol hellocobol.cob

hellocobol_variables: hellocobol_variables.cob
	cobc -x -g -o hellocobol_variables hellocobol_variables.cob

hellocobol_if: hellocobol_if.cob
	cobc -x -g -o hellocobol_if hellocobol_if.cob

.PHONY: clean
clean:
	rm -f hellocobol hellocobol.o *.i

=== tests/hellogdbserver/Makefile ===
.PHONY: all
all: hellogdbserver hellogdbserver_sym

hellogdbserver_sym: hellogdbserver.c
	gcc -g -o hellogdbserver_sym hellogdbserver.c -lm

hellogdbserver: hellogdbserver_sym
	strip -g -o hellogdbserver hellogdbserver_sym

.PHONY: clean
clean:
	rm -f hellogdbserver_sym hellogdbserver.o hellogdbserver

## seergdb 2.6+git20251009+ds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.1.0)
-
-project(seergdb VERSION 2.6.0 LANGUAGES CXX)
+cmake_minimum_required(VERSION 3.5.0)
+
+project(seergdb VERSION 2.6 LANGUAGES CXX)
 
 set(PROJECT_NAME seergdb)
 
@@ -32,6 +32,7 @@
     find_package(Qt6 COMPONENTS REQUIRED PrintSupport)
     find_package(Qt6 COMPONENTS REQUIRED Charts)
     find_package(Qt6 COMPONENTS REQUIRED Svg)
+    find_package(Qt6 COMPONENTS REQUIRED OpenGL)
 
     set(CMAKE_CXX_STANDARD 17)
     set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -51,6 +52,23 @@
 
 set(HEADER_FILES
     GdbMonitor.h
+    QProcessInfo.h
+    QProcessInfoWidget.h
+    QProgressIndicator.h
+    QColorButton.h
+    QColorSwatch.h
+    QDetachTabWidget.h
+    QZoomChartView.h
+    QZoomChart.h
+    QClearLineEdit.h
+    QIndexTreeWidget.h
+    QStringPair.h
+    QHistoryLineEdit.h
+    QEditDelegate.h
+    QHContainerWidget.h
+    QImageViewer.h
+    QAnsiTextEdit.h
+    SeerUtl.h
     SeerArgumentsDialog.h
     SeerBreakpointCreateDialog.h
     SeerMessagesBrowserWidget.h
@@ -59,6 +77,7 @@
     SeerCatchpointsBrowserWidget.h
     SeerPrintpointCreateDialog.h
     SeerPrintpointsBrowserWidget.h
+    SeerCheckpointsBrowserWidget.h
     SeerSeerLogWidget.h
     SeerConsoleWidget.h
     SeerConfigDialog.h
@@ -81,9 +100,11 @@
     SeerHexWidget.h
     SeerAsmWidget.h
     SeerArrayWidget.h
+    SeerMarixWidget.h
     SeerLogWidget.h
     SeerMainWindow.h
     SeerArrayVisualizerWidget.h
+    SeerMatrixVisualizerWidget.h
     SeerMemoryVisualizerWidget.h
     SeerStructVisualizerWidget.h
     SeerVarVisualizerWidget.h
@@ -98,6 +119,8 @@
     SeerFunctionBrowserWidget.h
     SeerTypeBrowserWidget.h
     SeerStaticBrowserWidget.h
+    SeerSkipBrowserWidget.h
+    SeerSkipCreateDialog.h
     SeerSourceSymbolLibraryManagerWidget.h
     SeerStackArgumentsBrowserWidget.h
     SeerStackFramesBrowserWidget.h
@@ -113,7 +136,6 @@
     SeerThreadManagerWidget.h
     SeerGdbLogWidget.h
     SeerTildeLogWidget.h
-    SeerUtl.h
     SeerVariableLoggerBrowserWidget.h
     SeerVariableManagerWidget.h
     SeerVariableTrackerBrowserWidget.h
@@ -130,27 +152,26 @@
     SeerMessagesDialog.h
     SeerAssemblyPreferenceDialog.h
     SeerHistoryLineEdit.h
-    QProcessInfo.h
-    QProcessInfoWidget.h
-    QProgressIndicator.h
-    QColorButton.h
-    QColorSwatch.h
-    QDetachTabWidget.h
-    QZoomChartView.h
-    QZoomChart.h
-    QClearLineEdit.h
-    QIndexTreeWidget.h
-    QStringPair.h
-    QHistoryLineEdit.h
-    QEditDelegate.h
-    QHContainerWidget.h
-    QImageViewer.h
-    QAnsiTextEdit.h
     )
 
 set(SOURCE_FILES
-    seergdb.cpp
     GdbMonitor.cpp
+    QProcessInfo.cpp
+    QProcessInfoWidget.cpp
+    QProgressIndicator.cpp
+    QColorButton.cpp
+    QColorSwatch.cpp
+    QDetachTabWidget.cpp
+    QZoomChartView.cpp
+    QZoomChart.cpp
+    QClearLineEdit.cpp
+    QIndexTreeWidget.cpp
+    QHistoryLineEdit.cpp
+    QEditDelegate.cpp
+    QHContainerWidget.cpp
+    QImageViewer.cpp
+    QAnsiTextEdit.cpp
+    SeerUtl.cpp
     SeerArgumentsDialog.cpp
     SeerBreakpointCreateDialog.cpp
     SeerMessagesBrowserWidget.cpp
@@ -159,6 +180,7 @@
     SeerCatchpointsBrowserWidget.cpp
     SeerPrintpointCreateDialog.cpp
     SeerPrintpointsBrowserWidget.cpp
+    SeerCheckpointsBrowserWidget.cpp
     SeerSeerLogWidget.cpp
     SeerConsoleWidget.cpp
     SeerConfigDialog.cpp
@@ -180,9 +202,11 @@
     SeerHexWidget.cpp
     SeerAsmWidget.cpp
     SeerArrayWidget.cpp
+    SeerMatrixWidget.cpp
     SeerLogWidget.cpp
     SeerMainWindow.cpp
     SeerArrayVisualizerWidget.cpp
+    SeerMatrixVisualizerWidget.cpp
     SeerMemoryVisualizerWidget.cpp
     SeerStructVisualizerWidget.cpp
     SeerVarVisualizerWidget.cpp
@@ -197,6 +221,8 @@
     SeerFunctionBrowserWidget.cpp
     SeerTypeBrowserWidget.cpp
     SeerStaticBrowserWidget.cpp
+    SeerSkipBrowserWidget.cpp
+    SeerSkipCreateDialog.cpp
     SeerSourceSymbolLibraryManagerWidget.cpp
     SeerStackArgumentsBrowserWidget.cpp
     SeerStackFramesBrowserWidget.cpp
@@ -212,7 +238,6 @@
     SeerThreadManagerWidget.cpp
     SeerGdbLogWidget.cpp
     SeerTildeLogWidget.cpp
-    SeerUtl.cpp
     SeerVariableLoggerBrowserWidget.cpp
     SeerVariableManagerWidget.cpp
     SeerVariableTrackerBrowserWidget.cpp
@@ -229,21 +254,7 @@
     SeerMessagesDialog.cpp
     SeerAssemblyPreferenceDialog.cpp
     SeerHistoryLineEdit.cpp
-    QProcessInfo.cpp
-    QProcessInfoWidget.cpp
-    QProgressIndicator.cpp
-    QColorButton.cpp
-    QColorSwatch.cpp
-    QDetachTabWidget.cpp
-    QZoomChartView.cpp
-    QZoomChart.cpp
-    QClearLineEdit.cpp
-    QIndexTreeWidget.cpp
-    QHistoryLineEdit.cpp
-    QEditDelegate.cpp
-    QHContainerWidget.cpp
-    QImageViewer.cpp
-    QAnsiTextEdit.cpp
+    seergdb.cpp
     )
 
 if(${QTVERSION} STREQUAL "QT6")
@@ -266,14 +277,14 @@
     add_compile_options(-Wall -Wextra -Wunused-result -pedantic)   # -Werror -Wdeprecated-copy
 endif()
 
-add_definitions(-DQT_DEPRECATED_WARNINGS)
+add_definitions(-DQT_DISABLE_DEPRECATED_UP_TO=0x060300)
 
 add_executable(${PROJECT_NAME} ${SYSTEM_TYPE} ${SOURCE_FILES})
 
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)
 
 if(${QTVERSION} STREQUAL "QT6")
-    target_link_libraries(${PROJECT_NAME} Qt6::Widgets Qt6::Gui Qt6::Core Qt6::PrintSupport Qt6::Charts Qt6::Svg)
+    target_link_libraries(${PROJECT_NAME} Qt6::Widgets Qt6::Gui Qt6::Core Qt6::PrintSupport Qt6::Charts Qt6::Svg Qt6::OpenGL)
 elseif(${QTVERSION} STREQUAL "QT5")
     target_link_libraries(${PROJECT_NAME} Qt5::Widgets Qt5::Gui Qt5::Core Qt5::PrintSupport Qt5::Charts)
 endif()

=== tests/gdbmi_condition/Makefile ===
.PHONY: all
all: gdbmi_condition

gdbmi_condition: gdbmi_condition.cpp
	g++ -g -o gdbmi_condition gdbmi_condition.cpp

.PHONY: clean
clean:
	rm -f gdbmi_condition gdbmi_condition.o

=== tests/helloadatasks/Makefile ===
.PHONY: all
all: helloadatasks

helloadatasks: helloadatasks.adb
	/usr/bin/gnatmake-9 -g --GNATBIND=/usr/bin/gnatbind-9 --GNATLINK=/usr/bin/gnatlink-9 helloadatasks

.PHONY: clean
clean:
	rm -f helloadatasks helloadatasks.o helloadatasks.ali b~*

# /usr/bin/gnatmake-9 --GCC=/usr/bin/gcc-9 -g helloadatasks

=== tests/helloarrayofstructs/Makefile ===
.PHONY: all
all: helloarrayofstructs

helloarrayofstructs: helloarrayofstructs.cpp
	g++ -g -o helloarrayofstructs helloarrayofstructs.cpp

.PHONY: clean
clean:
	rm -f helloarrayofstructs helloarrayofstructs.o

=== tests/helloasm/Makefile ===
.PHONY: all
all: helloasm

helloasm.o: helloasm.asm
	nasm -f elf -g -F dwarf -o helloasm.o helloasm.asm

helloasm: helloasm.o
	ld -m elf_i386 -o helloasm helloasm.o

.PHONY: clean
clean:
	rm -f helloasm helloasm.o

# 	nasm -f elf32 -g -F stabs -o helloasm.o helloasm.asm

=== tests/helloasm2/Makefile ===
.PHONY: all
all: square_test

square_test.o: square_test.s
	as --32 -g square_test.s -o square_test.o

isolated_square.o: isolated_square.s
	as --32 -g isolated_square.s -o isolated_square.o

square_test: square_test.o isolated_square.o
	ld -m elf_i386 -g -o square_test square_test.o isolated_square.o

.PHONY: clean
clean:
	rm -f square_test square_test.o isolated_square.o

=== tests/hellocheck/Makefile ===
.PHONY: all
all: check_money

check_money: check_money.c money.c
	g++ -I/usr/local/include -L/usr/local/lib64 -lcheck -g -o check_money check_money.c money.c

.PHONY: clean
clean:
	rm -f check_money check_money.o money.o

=== tests/hellocirlelist/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: hellocirclelist

# This rule tells make how to build hellocirclelist from hellocirclelist.cpp
hellocirclelist: hellocirclelist.cpp
	g++ -g -o hellocirclelist hellocirclelist.cpp

# This rule tells make to delete hellocirclelist and hellocirclelist.o
.PHONY: clean
clean:
	rm -f hellocirclelist hellocirclelist.o

=== tests/hellocuda/Makefile ===
.PHONY: all
all: hellocudasimple hellocudabitreverse

hellocudasimple: hellocudasimple.cu
	/usr/local/cuda-12.2/bin/nvcc -g -G hellocudasimple.cu -o hellocudasimple

hellocudabitreverse: hellocudabitreverse.cu
	/usr/local/cuda-12.2/bin/nvcc -g -G hellocudabitreverse.cu -o hellocudabitreverse

.PHONY: clean
clean:
	rm -f hellocudasimple hellocudasimple.o hellocudabitreverse hellocudabitreverse.o

=== tests/hellocurl/Makefile ===
.PHONY: all
all: hellocurl

hellocurl: hellocurl.cpp
	g++ -g -o hellocurl -lcurl hellocurl.cpp

.PHONY: clean
clean:
	rm -f hellocurl hellocurl.o

=== tests/hellodebugbreak/Makefile ===
.PHONY: all
all: hellodebugbreak


hellodebugbreak: hellodebugbreak.c
	g++ -g -o hellodebugbreak hellodebugbreak.c


.PHONY: clean
clean:
	rm -f hellodebugbreak hellodebugbreak.o

=== tests/hellodprintf/Makefile ===
.PHONY: all
all: hellodprintf hellodprintf_call_channel hellodprintf_call_nochannel hellodprintf_fortran

hellodprintf.o: hellodprintf.cpp
	g++ -c -g hellodprintf.cpp

hellodprintf_fortran.o: hellodprintf_fortran.cpp
	g++ -c -g hellodprintf_fortran.cpp

hellodprintf_call_channel.o: hellodprintf_call_channel.cpp
	g++ -c -g hellodprintf_call_channel.cpp

hellodprintf_call_nochannel.o: hellodprintf_call_nochannel.cpp
	g++ -c -g hellodprintf_call_nochannel.cpp

fortran_function.o: fortran_function.f
	gfortran -c -g fortran_function.f

hellodprintf: hellodprintf.o hellodprintf_fortran.o fortran_function.o
	g++ -g -o hellodprintf hellodprintf.o fortran_function.o -lgfortran

hellodprintf_call_channel: hellodprintf_call_channel.o
	g++ -g -o hellodprintf_call_channel hellodprintf_call_channel.o

hellodprintf_call_nochannel: hellodprintf_call_nochannel.o
	g++ -g -o hellodprintf_call_nochannel hellodprintf_call_nochannel.o

hellodprintf_fortran: hellodprintf_fortran.o fortran_function.o
	g++ -g -o hellodprintf_fortran hellodprintf_fortran.o fortran_function.o -lgfortran

.PHONY: clean
clean:
	rm -f hellodprintf hellodprintf_call_channel hellodprintf_call_nochannel hellodprintf_fortran *.o

=== debian/changelog ===
seergdb (2.6+git20251009+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright:
    - update Files-Excluded.
    - bump years.

 -- Alex Myczko <tar@debian.org>  Thu, 09 Oct 2025 11:03:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: seergdb
 Section: devel
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,7 +10,7 @@
  libqt6charts6-dev,
  libqt6opengl6-dev,
  libqt6svg6-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/epasveer/seer
 Vcs-Browser: https://salsa.debian.org/debian/seergdb
 Vcs-Git: https://salsa.debian.org/debian/seergdb.git

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,7 @@
 
 %:
 	dh $@ --sourcedirectory=src
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	-DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/epasveer/seer/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
